aboutsummaryrefslogtreecommitdiff
path: root/bin/watch
diff options
context:
space:
mode:
authorJoris2022-07-04 11:32:27 +0200
committerJoris2022-07-04 19:36:37 +0200
commitfade87173afbfdd51534646ed49844efa2d0e530 (patch)
tree54e8d5d81233fa5f3d1ba60fd8c3085252ebccc4 /bin/watch
parentce7722c901776ae8f6a64882e902e8ba851411e0 (diff)
downloadchords-fade87173afbfdd51534646ed49844efa2d0e530.tar.gz
chords-fade87173afbfdd51534646ed49844efa2d0e530.tar.bz2
chords-fade87173afbfdd51534646ed49844efa2d0e530.zip
Play random major and/or minor chords
Diffstat (limited to 'bin/watch')
-rwxr-xr-xbin/watch16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/watch b/bin/watch
new file mode 100755
index 0000000..82686ae
--- /dev/null
+++ b/bin/watch
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+# Run server
+
+python -m http.server --directory public 8000 &
+trap "fuser -k 8000/tcp" EXIT
+
+# Watch TypeScript
+
+CHECK="echo Checking TypeScript… && tsc --checkJs"
+BUILD="esbuild --bundle src/main.ts --target=es2017 --outdir=public"
+watchexec \
+ --clear \
+ --watch src \
+ -- "$CHECK && $BUILD"